Page MenuHomePhabricator

[PowerPC] Implement Vector Extract Low/High Order Builtins in LLVM/Clang
ClosedPublic

Authored by biplmish on Jul 27 2020, 12:29 AM.

Details

Summary

This patch implements the function prototypes vec_extractl and vec_extracth in altivec.h to utilize the vector extract double element instructions introduced in Power10.

Diff Detail

Event Timeline

biplmish created this revision.Jul 27 2020, 12:29 AM
Herald added projects: Restricted Project, Restricted Project. · View Herald TranscriptJul 27 2020, 12:29 AM
biplmish edited the summary of this revision. (Show Details)Jul 27 2020, 6:44 PM
steven.zhang accepted this revision.Jul 28 2020, 6:48 PM

LGTM. But please hold on for one more days to see if there is other comments.

This revision is now accepted and ready to land.Jul 28 2020, 6:48 PM
amyk accepted this revision.Aug 4 2020, 7:07 AM

I think overall it LGTM and the indentation can be addressed when committing.

clang/lib/Headers/altivec.h
17104

nit: space after this comment

17146

nit: space after this comment

17178

I know you said previously that having the function names in one way caused errors with clang format, but could we have the function names declared in the same way for consistency?

This revision was landed with ongoing or failed builds.Aug 6 2020, 11:02 PM
This revision was automatically updated to reflect the committed changes.